require 'spork'

Spork.prefork do
  require 'rspec/core'

  RSpec.configure do |config|
    # Disable .should syntax
    config.expect_with :rspec do |c|
      c.syntax = :expect
    end

    # Run tags focus: true
    config.filter_run focus: true

    # Run all when no filters
    config.run_all_when_everything_filtered = true
  end
end

Spork.each_run do
  require 'shitceptions'
end
